'join() argument error' while creating new training set

I encountered a problem when trying to create a training set for a second iteration of a network.
This is what I did:

  1. Trained the network with a certain amount of frames as dataset.
  2. Decreased dataset by manually deleting some rows from the CollectedData.csv inside the labeled-data folder, then using deeplabcut.convert2h5(config_path) to integrate it into the h5 file.
  3. Merging dataset for a second iteration
  4. Attempted to create the new training set… And then the error below pops up:
deeplabcut.create_training_dataset(config_path)
---------------------------------------------------------------------------
TypeError                                 Traceback (most recent call last)
<ipython-input-12-f3770bdfc0f7> in <module>()
----> 1 deeplabcut.create_training_dataset(config_path)

c:\users\phoenix\anaconda3\envs\dlc-fri\lib\site-packages\deeplabcut\generate_training_dataset\trainingsetmanipulation.py in create_training_dataset(config, num_shuffles, Shuffles, windows2linux)
   1038                 # load image to get dimensions:
   1039                 filename = Data.index[jj]
-> 1040                 im = io.imread(os.path.join(cfg['project_path'],filename))
   1041                 H['image'] = filename
   1042

c:\users\phoenix\anaconda3\envs\dlc-fri\lib\ntpath.py in join(path, *paths)
    113         return result_drive + result_path
    114     except (TypeError, AttributeError, BytesWarning):
--> 115         genericpath._check_arg_types('join', path, *paths)
    116         raise
    117

c:\users\phoenix\anaconda3\envs\dlc-fri\lib\genericpath.py in _check_arg_types(funcname, *args)
    147         else:
    148             raise TypeError('%s() argument must be str or bytes, not %r' %
--> 149                             (funcname, s.__class__.__name__)) from None
    150     if hasstr and hasbytes:
    151         raise TypeError("Can't mix strings and bytes in path components") from None

TypeError: join() argument must be str or bytes, not 'float'

Do you have any idea of what may be causing this error?
My config_path is set correctly as written in the config.yaml file.

I have done this procedure of deleting rows from the labeled-data before, I do not understand what is going on here…